org.richfaces.component

## Class UISimpleTogglePanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.richfaces.component.UISimpleTogglePanel

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.IterationStateHolder, org.ajax4jsf.event.AjaxSource
  Direct Known Subclasses:
    HtmlSimpleTogglePanel

      public abstract class UISimpleTogglePanel
      extends org.ajax4jsf.component.AjaxActionComponent
      implements org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, javax.faces.component.ActionSource, org.ajax4jsf.component.IterationStateHolder

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AJAX_SWITCH_TYPE`
    `static java.lang.String` | `CLIENT_SWITCH_TYPE`
    `static boolean` | `COLLAPSED` Deprecated.
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static boolean` | `EXPANDED` Deprecated.
    `static java.lang.String` | `SERVER_SWITCH_TYPE`

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UICommand

      `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UISimpleTogglePanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `java.lang.Object` | `getIterationState()`
    `protected java.lang.Object` | `getLocalValue()`
    `boolean` | `getRendersChildren()`
    `abstract java.lang.String` | `getSwitchType()`
    `java.lang.Object` | `getValue()`
    `boolean` | `isOpened()`
    `protected boolean` | `isWasOpened()`
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `void` | `processUpdates(javax.faces.context.FacesContext context)`
    `void` | `processValidators(javax.faces.context.FacesContext context)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object stateObject)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setIterationState(java.lang.Object stateObject)`
    `void` | `setOpened(boolean opened)`
    `abstract void` | `setSwitchType(java.lang.String switchType)`
    `void` | `setValue(java.lang.Object value)`
    `protected void` | `setWasOpened(java.lang.Boolean wasOpened)`
    `protected void` | `updateModel()`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, getAjaxListeners, getSingleComponent, removeAjaxListener, setupReRender, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

    - ### Methods inherited from interface org.ajax4jsf.event.AjaxSource

      `addAjaxListener, getAjaxListeners, removeAjaxListener`

    - ### Methods inherited from interface javax.faces.component.ActionSource

      `addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### SERVER_SWITCH_TYPE

          public static final java.lang.String SERVER_SWITCH_TYPE

      See Also:
        Constant Field Values

    - #### CLIENT_SWITCH_TYPE

          public static final java.lang.String CLIENT_SWITCH_TYPE

      See Also:
        Constant Field Values

    - #### AJAX_SWITCH_TYPE

          public static final java.lang.String AJAX_SWITCH_TYPE

      See Also:
        Constant Field Values

    - #### COLLAPSED

          @Deprecated
          public static final boolean COLLAPSED

      Deprecated.
      See Also:
        Constant Field Values

    - #### EXPANDED

          @Deprecated
          public static final boolean EXPANDED

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UISimpleTogglePanel

          public UISimpleTogglePanel()

  - ### Method Detail

    - #### setWasOpened

          protected void setWasOpened(java.lang.Boolean wasOpened)

    - #### isWasOpened

          protected boolean isWasOpened()

    - #### setSwitchType

          public abstract void setSwitchType(java.lang.String switchType)

    - #### getSwitchType

          public abstract java.lang.String getSwitchType()

    - #### setOpened

          public void setOpened(boolean opened)

    - #### isOpened

          public boolean isOpened()

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.component.UIComponentBase`

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.lang.NullPointerException`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext context)

      Overrides:
        `processValidators` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.lang.NullPointerException`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Overrides:
        `processUpdates` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.lang.NullPointerException`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `org.ajax4jsf.component.AjaxActionComponent`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `org.ajax4jsf.component.AjaxActionComponent`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### getLocalValue

          protected java.lang.Object getLocalValue()

    - #### getValue

          public java.lang.Object getValue()

      Overrides:
        `getValue` in class `javax.faces.component.UICommand`

    - #### setValue

          public void setValue(java.lang.Object value)

      Overrides:
        `setValue` in class `javax.faces.component.UICommand`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UICommand`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object stateObject)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UICommand`

    - #### getIterationState

          public java.lang.Object getIterationState()

      Specified by:
        `getIterationState` in interface `org.ajax4jsf.component.IterationStateHolder`

    - #### setIterationState

          public void setIterationState(java.lang.Object stateObject)

      Specified by:
        `setIterationState` in interface `org.ajax4jsf.component.IterationStateHolder`

    - #### updateModel

          protected void updateModel()

Copyright © 2013. All Rights Reserved.